#!/usr/bin/csi -script
(require-extension currency-converter args)

(define opts
 (list (args:make-option (f from)      #:required "From Currency")
       (args:make-option (t to)        #:required "To currency")
       (args:make-option (a amount)    #:required "Amount to convert")
       (args:make-option (v V version) #:none     "Display version"
         (print "Version 0.01")
         (exit))
       (args:make-option (h help)      #:none     "Display this text"
			 (usage))))

(define (usage)
 (with-output-to-port (current-error-port)
   (lambda ()
     (print "Usage: " (car (argv)) " [options]" )
     (newline)
     (print (args:usage opts))))
 (exit 1))

(receive (options operands)
	 (args:parse (command-line-arguments) opts)
	 (display (currency-convert (string->symbol (or (alist-ref 'from options) "USD"))
				    (string->symbol (or (alist-ref 'to options) "USD"))
				    (or (alist-ref 'amount options) 1))))
(newline)